ExchangePublicFolder (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangePublicFolder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangePublicFolder

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangePublicFolder

extends LogicalElement

Represents the Exchange Public Folder

Naming Rules:
  0="URL"
Persistable:
  true
Table Name:
  EXCHPUBFOL
Display Name:
  publicFolderName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAddressBookName()` The address book name of the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.AddressBookName Example Internet Newsgroups
`java.lang.String` | `getAdministrativeNote()` The administrative note associated with the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.
`java.lang.String` | `getADProxyPath()` The globally unique identifier (GUID) of the Microsoft Active Directory mail proxy for the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ADProxyPath Example Internet Newsgroups
`ExchangePublicFolder[]` | `getChildren()`
`long` | `getCreationTime()` Indicates when the folder was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.CreationTime
`int` | `getDeletedItemLifetime()` Indicates how long, in days, that deleted messages can be recovered Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.DeletedItemLifetime
`java.lang.String` | `getFolderComment()` The folder comment Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Comment
`ExchangeFolderTree` | `getFolderTree()`
`java.lang.String` | `getFriendlyURL()` The path-based URL to the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.FriendlyUrl Example http://tv045077/ExAdmin/Admin/exchange2003.local/Public%20Folders Internet%20Newsgroups/
`boolean` | `getHasLocalReplica()` Indicates whether the folder has a local replica Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.HasLocalReplica
`boolean` | `getMailEnabled()` Indicates whether the folder is mail-enabled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsMailEnabled
`long` | `getMaximumItemSize()` The maximum size, in kilobytes (KB), that is allowed for an individual post to the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.MaximumItemSize Unit of Measure: kilobytes (KB) Maximum length: 2097151
`boolean` | `getNormalFolder()` Indicates whether the public folder is a normal folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsNormalFolder
`ExchangePublicFolder` | `getParent()`
`java.lang.String` | `getPath()` The folder path minus the URL http://server/vroot header portion Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Path Example /Internet Newsgroups/
`boolean` | `getPerUserReadDisabled()` Indicates whether the folder tracks per-user read information for messages Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsPerUserReadDisabled
`long` | `getProhibitPostLimit()` The folder size limit, in kilobytes (KB), when posting is prevented Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ProhibitPostLimit Unit of Measure: kilobytes (KB) Maximum length: 2097151
`java.lang.String` | `getPublicFolderName()` The name of the public folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Name Example Internet Newsgroups
`boolean` | `getPublishInAddressBook()` Indicates whether the folder will show up in the global address list if it is mail-enabled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.PublishInAddressBook
`int` | `getReplicaAgeLimit()` The age limit for messages across all replicas Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ReplicaAgeLimit Unit of Measure: days Maximum Length: 24855
`ExchangePublicFolderStore[]` | `getReplicaList()`
`int` | `getReplicationMessagePriority()`
`ExchangeScheduleInterval[]` | `getReplicationSchedules()`
`int` | `getReplicationStyle()`
`boolean` | `getSearchFolder()` Indicates whether the public folder is a search folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsSearchFolder
`boolean` | `getSecureInSite()` Indicates whether administrative access is limited to the home site of the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsSecureInSite
`int` | `getStorageLimitStyle()` Indicates whether the folder should use public store storage limits, have no quota, or use quota values set on the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.StorageLimitStyle
`java.lang.String` | `getTargetAddress()` The folder path (minus the URL http://server/vroot header portion) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.TargetAddress EXCLUDE http://server/vroot in attribute content Example /O=4RT6JU8EXU/OU=137FRGJU9E/CN=RECIPIENTS/CN=INTERNET NEWSGROUPS
`java.lang.String` | `getURL()` The folder URL, constructed using the folder globally unique identifier (GUID) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Url Example http://tv045077/ExAdmin/Admin/exchange2003.local/Public%20Folders -FlatUrlSpace-/f020d914c926d011a40900c04fd7bd87-ffffffff0003/ Maximum Length 2083 characters
`boolean` | `getUsePublicStoreAgeLimits()` Indicates whether the folder should use the age limits of the message database (MDB) in which it is stored Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.UsePublicStoreAgeLimits
`boolean` | `getUsePublicStoreDeletedLifetime()` Indicates whether the folder should use the deleted item lifetime of the local public message database (MDB) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.UsePublicStoreDeletedItemLifetime
`long` | `getWarningLimit()` The folder size limit, in kilobytes (KB), when warning messages are sent Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.WarningLimit Unit of Measure kilobytes (KB) Maximum length 2097151
`boolean` | `hasAddressBookName()`
`boolean` | `hasAdministrativeNote()`
`boolean` | `hasADProxyPath()`
`boolean` | `hasChildren()`
`boolean` | `hasCreationTime()`
`boolean` | `hasDeletedItemLifetime()`
`boolean` | `hasFolderComment()`
`boolean` | `hasFolderTree()`
`boolean` | `hasFriendlyURL()`
`boolean` | `hasHasLocalReplica()`
`boolean` | `hasMailEnabled()`
`boolean` | `hasMaximumItemSize()`
`boolean` | `hasNormalFolder()`
`boolean` | `hasParent()`
`boolean` | `hasPath()`
`boolean` | `hasPerUserReadDisabled()`
`boolean` | `hasProhibitPostLimit()`
`boolean` | `hasPublicFolderName()`
`boolean` | `hasPublishInAddressBook()`
`boolean` | `hasReplicaAgeLimit()`
`boolean` | `hasReplicaList()`
`boolean` | `hasReplicationMessagePriority()`
`boolean` | `hasReplicationSchedules()`
`boolean` | `hasReplicationStyle()`
`boolean` | `hasSearchFolder()`
`boolean` | `hasSecureInSite()`
`boolean` | `hasStorageLimitStyle()`
`boolean` | `hasTargetAddress()`
`boolean` | `hasURL()`
`boolean` | `hasUsePublicStoreAgeLimits()`
`boolean` | `hasUsePublicStoreDeletedLifetime()`
`boolean` | `hasWarningLimit()`
`void` | `setAddressBookName(java.lang.String x)`
`void` | `setAdministrativeNote(java.lang.String x)`
`void` | `setADProxyPath(java.lang.String x)`
`void` | `setChildren(ExchangePublicFolder[] x)`
`void` | `setCreationTime(long x)`
`void` | `setDeletedItemLifetime(int x)`
`void` | `setFolderComment(java.lang.String x)`
`void` | `setFolderTree(ExchangeFolderTree x)`
`void` | `setFriendlyURL(java.lang.String x)`
`void` | `setHasLocalReplica(boolean x)`
`void` | `setMailEnabled(boolean x)`
`void` | `setMaximumItemSize(long x)`
`void` | `setNormalFolder(boolean x)`
`void` | `setParent(ExchangePublicFolder x)`
`void` | `setPath(java.lang.String x)`
`void` | `setPerUserReadDisabled(boolean x)`
`void` | `setProhibitPostLimit(long x)`
`void` | `setPublicFolderName(java.lang.String x)`
`void` | `setPublishInAddressBook(boolean x)`
`void` | `setReplicaAgeLimit(int x)`
`void` | `setReplicaList(ExchangePublicFolderStore[] x)`
`void` | `setReplicationMessagePriority(int x)`
`void` | `setReplicationSchedules(ExchangeScheduleInterval[] x)`
`void` | `setReplicationStyle(int x)`
`void` | `setSearchFolder(boolean x)`
`void` | `setSecureInSite(boolean x)`
`void` | `setStorageLimitStyle(int x)`
`void` | `setTargetAddress(java.lang.String x)`
`void` | `setURL(java.lang.String x)`
`void` | `setUsePublicStoreAgeLimits(boolean x)`
`void` | `setUsePublicStoreDeletedLifetime(boolean x)`
`void` | `setWarningLimit(long x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  The folder path minus the URL http://server/vroot header portion Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Path Example /Internet Newsgroups/

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String x)

### hasPath

    boolean hasPath()

### getUsePublicStoreAgeLimits

    boolean getUsePublicStoreAgeLimits()
                                       throws AttributeNotSetException

  Indicates whether the folder should use the age limits of the message database (MDB) in which it is stored Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.UsePublicStoreAgeLimits

  Throws:
    `AttributeNotSetException`

### setUsePublicStoreAgeLimits

    void setUsePublicStoreAgeLimits(boolean x)

### hasUsePublicStoreAgeLimits

    boolean hasUsePublicStoreAgeLimits()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  The folder URL, constructed using the folder globally unique identifier (GUID) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Url Example http://tv045077/ExAdmin/Admin/exchange2003.local/Public%20Folders -FlatUrlSpace-/f020d914c926d011a40900c04fd7bd87-ffffffff0003/ Maximum Length 2083 characters

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String x)

### hasURL

    boolean hasURL()

### getReplicationStyle

    int getReplicationStyle()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReplicationStyle

    void setReplicationStyle(int x)

### hasReplicationStyle

    boolean hasReplicationStyle()

### getFriendlyURL

    java.lang.String getFriendlyURL()
                                    throws AttributeNotSetException

  The path-based URL to the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.FriendlyUrl Example http://tv045077/ExAdmin/Admin/exchange2003.local/Public%20Folders Internet%20Newsgroups/

  Throws:
    `AttributeNotSetException`

### setFriendlyURL

    void setFriendlyURL(java.lang.String x)

### hasFriendlyURL

    boolean hasFriendlyURL()

### getADProxyPath

    java.lang.String getADProxyPath()
                                    throws AttributeNotSetException

  The globally unique identifier (GUID) of the Microsoft Active Directory mail proxy for the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ADProxyPath Example Internet Newsgroups

  Throws:
    `AttributeNotSetException`

### setADProxyPath

    void setADProxyPath(java.lang.String x)

### hasADProxyPath

    boolean hasADProxyPath()

### getPerUserReadDisabled

    boolean getPerUserReadDisabled()
                                   throws AttributeNotSetException

  Indicates whether the folder tracks per-user read information for messages Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsPerUserReadDisabled

  Throws:
    `AttributeNotSetException`

### setPerUserReadDisabled

    void setPerUserReadDisabled(boolean x)

### hasPerUserReadDisabled

    boolean hasPerUserReadDisabled()

### getWarningLimit

    long getWarningLimit()
                         throws AttributeNotSetException

  The folder size limit, in kilobytes (KB), when warning messages are sent Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.WarningLimit Unit of Measure kilobytes (KB) Maximum length 2097151

  Throws:
    `AttributeNotSetException`

### setWarningLimit

    void setWarningLimit(long x)

### hasWarningLimit

    boolean hasWarningLimit()

### getCreationTime

    long getCreationTime()
                         throws AttributeNotSetException

  Indicates when the folder was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.CreationTime

  Throws:
    `AttributeNotSetException`

### setCreationTime

    void setCreationTime(long x)

### hasCreationTime

    boolean hasCreationTime()

### getHasLocalReplica

    boolean getHasLocalReplica()
                               throws AttributeNotSetException

  Indicates whether the folder has a local replica Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.HasLocalReplica

  Throws:
    `AttributeNotSetException`

### setHasLocalReplica

    void setHasLocalReplica(boolean x)

### hasHasLocalReplica

    boolean hasHasLocalReplica()

### getPublishInAddressBook

    boolean getPublishInAddressBook()
                                    throws AttributeNotSetException

  Indicates whether the folder will show up in the global address list if it is mail-enabled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.PublishInAddressBook

  Throws:
    `AttributeNotSetException`

### setPublishInAddressBook

    void setPublishInAddressBook(boolean x)

### hasPublishInAddressBook

    boolean hasPublishInAddressBook()

### getDeletedItemLifetime

    int getDeletedItemLifetime()
                               throws AttributeNotSetException

  Indicates how long, in days, that deleted messages can be recovered Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.DeletedItemLifetime

  Throws:
    `AttributeNotSetException`

### setDeletedItemLifetime

    void setDeletedItemLifetime(int x)

### hasDeletedItemLifetime

    boolean hasDeletedItemLifetime()

### getMailEnabled

    boolean getMailEnabled()
                           throws AttributeNotSetException

  Indicates whether the folder is mail-enabled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsMailEnabled

  Throws:
    `AttributeNotSetException`

### setMailEnabled

    void setMailEnabled(boolean x)

### hasMailEnabled

    boolean hasMailEnabled()

### getUsePublicStoreDeletedLifetime

    boolean getUsePublicStoreDeletedLifetime()
                                             throws AttributeNotSetException

  Indicates whether the folder should use the deleted item lifetime of the local public message database (MDB) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.UsePublicStoreDeletedItemLifetime

  Throws:
    `AttributeNotSetException`

### setUsePublicStoreDeletedLifetime

    void setUsePublicStoreDeletedLifetime(boolean x)

### hasUsePublicStoreDeletedLifetime

    boolean hasUsePublicStoreDeletedLifetime()

### getChildren

    ExchangePublicFolder[] getChildren()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setChildren

    void setChildren(ExchangePublicFolder[] x)

### hasChildren

    boolean hasChildren()

### getFolderTree

    ExchangeFolderTree getFolderTree()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setFolderTree

    void setFolderTree(ExchangeFolderTree x)

### hasFolderTree

    boolean hasFolderTree()

### getReplicaAgeLimit

    int getReplicaAgeLimit()
                           throws AttributeNotSetException

  The age limit for messages across all replicas Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ReplicaAgeLimit Unit of Measure: days Maximum Length: 24855

  Throws:
    `AttributeNotSetException`

### setReplicaAgeLimit

    void setReplicaAgeLimit(int x)

### hasReplicaAgeLimit

    boolean hasReplicaAgeLimit()

### getReplicationSchedules

    ExchangeScheduleInterval[] getReplicationSchedules()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setReplicationSchedules

    void setReplicationSchedules(ExchangeScheduleInterval[] x)

### hasReplicationSchedules

    boolean hasReplicationSchedules()

### getMaximumItemSize

    long getMaximumItemSize()
                            throws AttributeNotSetException

  The maximum size, in kilobytes (KB), that is allowed for an individual post to the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.MaximumItemSize Unit of Measure: kilobytes (KB) Maximum length: 2097151

  Throws:
    `AttributeNotSetException`

### setMaximumItemSize

    void setMaximumItemSize(long x)

### hasMaximumItemSize

    boolean hasMaximumItemSize()

### getFolderComment

    java.lang.String getFolderComment()
                                      throws AttributeNotSetException

  The folder comment Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Comment

  Throws:
    `AttributeNotSetException`

### setFolderComment

    void setFolderComment(java.lang.String x)

### hasFolderComment

    boolean hasFolderComment()

### getPublicFolderName

    java.lang.String getPublicFolderName()
                                         throws AttributeNotSetException

  The name of the public folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Name Example Internet Newsgroups

  Throws:
    `AttributeNotSetException`

### setPublicFolderName

    void setPublicFolderName(java.lang.String x)

### hasPublicFolderName

    boolean hasPublicFolderName()

### getTargetAddress

    java.lang.String getTargetAddress()
                                      throws AttributeNotSetException

  The folder path (minus the URL http://server/vroot header portion) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.TargetAddress EXCLUDE http://server/vroot in attribute content Example /O=4RT6JU8EXU/OU=137FRGJU9E/CN=RECIPIENTS/CN=INTERNET NEWSGROUPS

  Throws:
    `AttributeNotSetException`

### setTargetAddress

    void setTargetAddress(java.lang.String x)

### hasTargetAddress

    boolean hasTargetAddress()

### getNormalFolder

    boolean getNormalFolder()
                            throws AttributeNotSetException

  Indicates whether the public folder is a normal folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsNormalFolder

  Throws:
    `AttributeNotSetException`

### setNormalFolder

    void setNormalFolder(boolean x)

### hasNormalFolder

    boolean hasNormalFolder()

### getSecureInSite

    boolean getSecureInSite()
                            throws AttributeNotSetException

  Indicates whether administrative access is limited to the home site of the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsSecureInSite

  Throws:
    `AttributeNotSetException`

### setSecureInSite

    void setSecureInSite(boolean x)

### hasSecureInSite

    boolean hasSecureInSite()

### getReplicaList

    ExchangePublicFolderStore[] getReplicaList()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setReplicaList

    void setReplicaList(ExchangePublicFolderStore[] x)

### hasReplicaList

    boolean hasReplicaList()

### getAddressBookName

    java.lang.String getAddressBookName()
                                        throws AttributeNotSetException

  The address book name of the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.AddressBookName Example Internet Newsgroups

  Throws:
    `AttributeNotSetException`

### setAddressBookName

    void setAddressBookName(java.lang.String x)

### hasAddressBookName

    boolean hasAddressBookName()

### getStorageLimitStyle

    int getStorageLimitStyle()
                             throws AttributeNotSetException

  Indicates whether the folder should use public store storage limits, have no quota, or use quota values set on the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.StorageLimitStyle

  Throws:
    `AttributeNotSetException`

### setStorageLimitStyle

    void setStorageLimitStyle(int x)

### hasStorageLimitStyle

    boolean hasStorageLimitStyle()

### getReplicationMessagePriority

    int getReplicationMessagePriority()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReplicationMessagePriority

    void setReplicationMessagePriority(int x)

### hasReplicationMessagePriority

    boolean hasReplicationMessagePriority()

### getProhibitPostLimit

    long getProhibitPostLimit()
                              throws AttributeNotSetException

  The folder size limit, in kilobytes (KB), when posting is prevented Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.ProhibitPostLimit Unit of Measure: kilobytes (KB) Maximum length: 2097151

  Throws:
    `AttributeNotSetException`

### setProhibitPostLimit

    void setProhibitPostLimit(long x)

### hasProhibitPostLimit

    boolean hasProhibitPostLimit()

### getParent

    ExchangePublicFolder getParent()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setParent

    void setParent(ExchangePublicFolder x)

### hasParent

    boolean hasParent()

### getSearchFolder

    boolean getSearchFolder()
                            throws AttributeNotSetException

  Indicates whether the public folder is a search folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.IsSearchFolder

  Throws:
    `AttributeNotSetException`

### setSearchFolder

    void setSearchFolder(boolean x)

### hasSearchFolder

    boolean hasSearchFolder()

### getAdministrativeNote

    java.lang.String getAdministrativeNote()
                                           throws AttributeNotSetException

  The administrative note associated with the folder Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder. AdministrativeNote

  Throws:
    `AttributeNotSetException`

### setAdministrativeNote

    void setAdministrativeNote(java.lang.String x)

### hasAdministrativeNote

    boolean hasAdministrativeNote()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD